/* \̍폜 */
DROP TABLE avg_salary;
DROP TABLE dept;
DROP TABLE edu_cource;
DROP TABLE edu_master;
DROP TABLE emp;
DROP TABLE emp_birth;
DROP TABLE emp_honsya;
DROP TABLE emp_shisya;
DROP TABLE emp_world;
DROP TABLE famous_person_birth;
DROP TABLE health_chk;
DROP TABLE health_date;
DROP TABLE orders;
DROP TABLE salgrade;
DROP TABLE shipment;
DROP TABLE uriage;
DROP TABLE uriage_world;
DROP TABLE work_task;
DROP TABLE zaiko;

/* TCNErPURGE */
PURGE RECYCLEBIN;

/* \̍쐬 */
--AVG_SALARY\
CREATE TABLE avg_salary
( deptno  NUMBER(2),
  avg_sal NUMBER(7,2));

INSERT INTO avg_salary VALUES(10,2916);
INSERT INTO avg_salary VALUES(20,2175);
INSERT INTO avg_salary VALUES(30,1566);

--DEPT\
CREATE TABLE dept
( deptno NUMBER(2) NOT NULL,
  dname  VARCHAR2(14),
  loc    VARCHAR2(13) );

INSERT INTO dept VALUES (10,'ACCOUNTING','NEW YORK');
INSERT INTO dept VALUES (20,'RESEARCH','DALLAS');
INSERT INTO dept VALUES (30,'SALES','CHICAGO');
INSERT INTO dept VALUES (40,'OPERATIONS','BOSTON');

--EDU_COURCE\
CREATE TABLE edu_cource
( cource_id NUMBER(2),
  month     DATE);

INSERT INTO edu_cource VALUES(1,TO_DATE('2011-01','YYYY-MM'));
INSERT INTO edu_cource VALUES(3,TO_DATE('2011-01','YYYY-MM'));
INSERT INTO edu_cource VALUES(1,TO_DATE('2011-02','YYYY-MM'));
INSERT INTO edu_cource VALUES(2,TO_DATE('2011-02','YYYY-MM'));

--EDU_MASTER\
CREATE TABLE edu_master
( cource_id   NUMBER(2),
  cource_name VARCHAR2(10) );

INSERT INTO edu_master VALUES(1,'Linux');
INSERT INTO edu_master VALUES(2,'Network');
INSERT INTO edu_master VALUES(3,'Database');

--EMP\
CREATE TABLE emp
( empno    NUMBER(4) ,
  ename    VARCHAR2(10),
  job      VARCHAR2(9),
  mgr      NUMBER(4),
  hiredate DATE,
  sal      NUMBER(7,2),
  comm     NUMBER(7,2),
  deptno   NUMBER(2) );

INSERT INTO emp VALUES (7369,'SMITH','CLERK',7902,TO_DATE('1980-12-17','yyyy-mm-dd'),800,NULL,20);
INSERT INTO emp VALUES (7499,'ALLEN','SALESMAN',7698,TO_DATE('1981-02-20','yyyy-mm-dd'),1600,300,30);
INSERT INTO emp VALUES (7521,'WARD','SALESMAN',7698,TO_DATE('1981-02-22','yyyy-mm-dd'),1250,500,30);
INSERT INTO emp VALUES (7566,'JONES','MANAGER',7839,TO_DATE('1981-04-02','yyyy-mm-dd'),2975,NULL,20);
INSERT INTO emp VALUES (7654,'MARTIN','SALESMAN',7698,TO_DATE('1981-09-28','yyyy-mm-dd'),1250,1400,30);
INSERT INTO emp VALUES (7698,'BLAKE','MANAGER',7839,TO_DATE('1981-05-01','yyyy-mm-dd'),2850,NULL,30);
INSERT INTO emp VALUES (7782,'CLARK','MANAGER',7839,TO_DATE('1981-06-09','yyyy-mm-dd'),2450,NULL,10);
INSERT INTO emp VALUES (7788,'SCOTT','ANALYST',7566,TO_DATE('1982-12-09','yyyy-mm-dd'),3000,NULL,20);
INSERT INTO emp VALUES (7839,'KING','PRESIDENT',NULL,TO_DATE('1981-11-17','yyyy-mm-dd'),5000,NULL,10);
INSERT INTO emp VALUES (7844,'TURNER','SALESMAN',7698,TO_DATE('1981-09-08','yyyy-mm-dd'),1500,0,30);
INSERT INTO emp VALUES (7876,'ADAMS','CLERK',7788,TO_DATE('1983-01-12','yyyy-mm-dd'),1100,NULL,20);
INSERT INTO emp VALUES (7900,'JAMES','CLERK',7698,TO_DATE('1981-12-03','yyyy-mm-dd'),950,NULL,30);
INSERT INTO emp VALUES (7902,'FORD','ANALYST',7566,TO_DATE('1981-12-03','yyyy-mm-dd'),3000,NULL,20);
INSERT INTO emp VALUES (7934,'MILLER','CLERK',7782,TO_DATE('1982-01-23','yyyy-mm-dd'),1300,NULL,10);

--EMP_BIRTH\
CREATE TABLE emp_birth 
( name  VARCHAR2(10),
  birth DATE );

INSERT INTO emp_birth VALUES('ALLEN',TO_DATE('1981-02-20','yyyy-mm-dd'));
INSERT INTO emp_birth VALUES('WARD',TO_DATE('1981-02-22','yyyy-mm-dd'));
INSERT INTO emp_birth VALUES('MARTIN',TO_DATE('1981-09-28','yyyy-mm-dd'));
INSERT INTO emp_birth VALUES('BLAKE',TO_DATE('1981-05-01','yyyy-mm-dd'));
INSERT INTO emp_birth VALUES('TURNER',TO_DATE('1981-09-08','yyyy-mm-dd'));
INSERT INTO emp_birth VALUES('JAMES',TO_DATE('1981-12-03','yyyy-mm-dd'));

--EMP_HONSYA\
CREATE TABLE emp_honsya
( empno NUMBER(5),
  ename VARCHAR2(12),
  job   VARCHAR2(12) );

INSERT INTO emp_honsya VALUES(7369,'SMITH','CLERK');
INSERT INTO emp_honsya VALUES(7499,'ALLEN','SALESMAN');
INSERT INTO emp_honsya VALUES(7566,'JONES','MANAGER');

--EMP_SHISYA\
CREATE TABLE emp_shisya
( empno NUMBER(5),
  ename VARCHAR2(12),
  job   VARCHAR2(12) );

INSERT INTO emp_shisya VALUES(7369,'SMITH','ANALYST');
INSERT INTO emp_shisya VALUES(7499,'ALLEN','SALESMAN');

--EMP_WORLD\
CREATE TABLE emp_world
( name       VARCHAR2(10),
  comp_place VARCHAR2(10),
  hiredate   DATE );

INSERT INTO emp_world VALUES('SUZUKI','TOKYO',TO_DATE('2001-04-01','yyyy-mm-dd'));
INSERT INTO emp_world VALUES('JELEMY','NEW YORK',TO_DATE('2002-10-22','yyyy-mm-dd'));
INSERT INTO emp_world VALUES('TOM','BOSTON',TO_DATE('2001-12-05','yyyy-mm-dd'));
INSERT INTO emp_world VALUES('TAKAHASHI','OSAKA',TO_DATE('2001-10-01','yyyy-mm-dd'));
INSERT INTO emp_world VALUES('SATO','TOKYO',TO_DATE('2002-08-11','yyyy-mm-dd'));
INSERT INTO emp_world VALUES('ENDO','TOKYO',TO_DATE('2002-06-05','yyyy-mm-dd'));

--FAMOUS_PERSON_BIRTH\
CREATE TABLE famous_person_birth
( name  VARCHAR2(10),
  birth DATE );

INSERT INTO famous_person_birth VALUES('DAVID',TO_DATE('1981-02-22','yyyy-mm-dd'));
INSERT INTO famous_person_birth VALUES('BRENDA','');
INSERT INTO famous_person_birth VALUES('STIG',TO_DATE('1981-09-08','yyyy-mm-dd'));

--HEALTH_CHK\
CREATE TABLE health_chk
(empno    NUMBER(4),
 ename    VARCHAR2(10),
 job      VARCHAR2(10),
 chk_date DATE);

INSERT INTO health_chk VALUES(7369,'SMITH','CLERK',TO_DATE('2011-01-09','yyyy-mm-dd'));
INSERT INTO health_chk VALUES(7499,'ALLEN','SALESMAN','');
INSERT INTO health_chk VALUES(7521,'WARD','SALESMAN',TO_DATE('2011-02-20','yyyy-mm-dd'));
INSERT INTO health_chk VALUES(7566,'JONES','MANAGER',TO_DATE('2011-01-10','yyyy-mm-dd'));
INSERT INTO health_chk VALUES(7876,'ADAMS','CLERK',TO_DATE('2011-03-28','yyyy-mm-dd'));
INSERT INTO health_chk VALUES(7698,'BLAKE','MANAGER',TO_DATE('2011-01-25','yyyy-mm-dd'));


--HEALTH_DATE\
create table health_date
(empno number(4),
 ename varchar2(10),
 job varchar2(10),
 chk_date date);

insert into health_date values(7369,'SMITH','CLERK',TO_DATE('2011-01-09','yyyy-mm-dd'));
insert into health_date values(7499,'ALLEN','SALESMAN',NULL);
insert into health_date values(7521,'WARD','SALESMAN',TO_DATE('2011-02-20','yyyy-mm-dd'));
insert into health_date values(7566,'JONES','MANAGER',TO_DATE('2011-01-10','yyyy-mm-dd'));
insert into health_date values(7876,'ADAMS','CLERK',TO_DATE('2011-03-28','yyyy-mm-dd'));
insert into health_date values(7698,'BLAKE','MANAGER',TO_DATE('2011-01-25','yyyy-mm-dd'));


--ORDERES\
CREATE TABLE orders
( product_id  NUMBER(5),
  order_count NUMBER(5),
  sales       NUMBER(5) );

INSERT INTO orders VALUES(1211,3,3000);
INSERT INTO orders VALUES(1212,2,1800);
INSERT INTO orders VALUES(1214,1,1500);

--SALGRADE\
CREATE TABLE salgrade
( grade NUMBER,
  losal NUMBER,
  hisal NUMBER);

INSERT INTO salgrade VALUES (1,700,1200);
INSERT INTO salgrade VALUES (2,1201,1400);
INSERT INTO salgrade VALUES (3,1401,2000);
INSERT INTO salgrade VALUES (4,2001,3000);
INSERT INTO salgrade VALUES (5,3001,9999);

--SHIPMENT\
CREATE TABLE shipment
( weeks NUMBER(1),
  goods CHAR(5),
  total NUMBER(3) );

INSERT INTO shipment VALUES(1,'BOOK',5);
INSERT INTO shipment VALUES(1,'DVD',10);
INSERT INTO shipment VALUES(2,'BOOK',3);
INSERT INTO shipment VALUES(2,'DVD',5);
INSERT INTO shipment VALUES(2,'CD',10);
INSERT INTO shipment VALUES(3,'DVD',1);
INSERT INTO shipment VALUES(3,'CD',5);

--URIAGE\
CREATE TABLE uriage
( day    DATE,
  person NUMBER(3),
  sales  NUMBER(6),
  tanka  NUMBER(6) );

INSERT INTO uriage VALUES(TO_DATE('2011-04-01','yyyy-mm-dd'),8,5600,null);
INSERT INTO uriage VALUES(TO_DATE('2011-04-02','yyyy-mm-dd'),7,6300,null);
INSERT INTO uriage VALUES(TO_DATE('2011-04-03','yyyy-mm-dd'),0,0,null);
INSERT INTO uriage VALUES(TO_DATE('2011-04-04','yyyy-mm-dd'),9,9000,null);

--URIAGE_WORLD\
CREATE TABLE uriage_world
( comp_area  VARCHAR2(10),
  month_data DATE,
  amount_val NUMBER(10) );

INSERT INTO uriage_world VALUES('ASIA',TO_DATE('2011-01-01','yyyy-mm-dd'),1000);
INSERT INTO uriage_world VALUES('ASIA',TO_DATE('2011-02-01','yyyy-mm-dd'),2500);
INSERT INTO uriage_world VALUES('ASIA',TO_DATE('2011-03-01','yyyy-mm-dd'),1200);
INSERT INTO uriage_world VALUES('AMERICA',TO_DATE('2011-01-01','yyyy-mm-dd'),1600);
INSERT INTO uriage_world VALUES('AMERICA',TO_DATE('2011-02-01','yyyy-mm-dd'),1800);
INSERT INTO uriage_world VALUES('AMERICA',TO_DATE('2011-03-01','yyyy-mm-dd'),1800);
INSERT INTO uriage_world VALUES('EUROPE',TO_DATE('2011-01-01','yyyy-mm-dd'),2200);
INSERT INTO uriage_world VALUES('EUROPE',TO_DATE('2011-02-01','yyyy-mm-dd'),1700);
INSERT INTO uriage_world VALUES('EUROPE',TO_DATE('2011-03-01','yyyy-mm-dd'),900);

--WORK_TASK\
CREATE TABLE work_task
( d_day      DATE,
  priority_1 VARCHAR2(12),
  priority_2 VARCHAR2(12),
  priority_3 VARCHAR2(12),
  priority_4 VARCHAR2(12) );

INSERT INTO work_task VALUES(TO_DATE('2011-04-01','yyyy-mm-dd'),NULL,'PLANNING',NULL,'ORDER');
INSERT INTO work_task VALUES(TO_DATE('2011-04-02','yyyy-mm-dd'),'SETTLEMENT',NULL,'CALL',NULL);
INSERT INTO work_task VALUES(TO_DATE('2011-04-03','yyyy-mm-dd'),NULL,NULL,NULL,NULL);
INSERT INTO work_task VALUES(TO_DATE('2011-04-04','yyyy-mm-dd'),NULL,NULL,NULL,'PRODUCTION');

--ZAIKO\
CREATE TABLE zaiko
( product_id  NUMBER(5),
  zaiko_count NUMBER(5) );

INSERT INTO zaiko VALUES(1211,3);
INSERT INTO zaiko VALUES(1212,5);
INSERT INTO zaiko VALUES(1213,2);
INSERT INTO zaiko VALUES(1214,1);

COMMIT;

SELECT * FROM tab;
